classdef Sequence < PulseStreamer.Sequence
    %SEQUENCE implementation for PulseStreamer 8/2
    % This class implements hardware specific limitatioin checks
    
    methods
        function setDigital(obj, channels, pattern)
            %SETDIGITAL Maps signal pattern to digital output
            %
            %    setDigital(channels, pattern)
            
            assert(all(ismember(channels, 0:7)), 'Incorrect digital channel number. Valid channels are: [0:7]');
            setDigital@PulseStreamer.Sequence(obj, channels, pattern);
        end
        
        function setAnalog(obj, channels, pattern)
            %SETANALOG Maps signal pattern to analog output
            %
            assert(all(ismember(channels, 0:1)), 'Incorrect analog channel number. Valid channels are: [0:1]');
            setAnalog@PulseStreamer.Sequence(obj, channels, pattern);
        end
    end
end

