classdef DeviceInfo
    %PULSESTREAMERINFO Basic information about Pulse Streamer device
    %   This is the value class and is used by findPulseStreamers() method
    
    properties (SetAccess = private)
        ip;         % IP address
        serial;     % Serial number
        hostname;   % Hostname as reported by Pulse Streamer
        model;      % Model name
        fpgaid;     % FPGAID string
        firmware;   % Firmware version
    end
    
    methods
        function obj = DeviceInfo(ip, info_str)
            %DEVICEINFO Construct an instance of this class
            
            s = PulseStreamer.internal.parse_json(info_str);
            s = s{1};
            
            obj.ip = ip;
            obj.serial = s.serial;
            obj.hostname = s.hostname;
            obj.model = s.model;
            obj.fpgaid = s.fpgaid;
            obj.firmware = s.firmware;
        end
    end
end

