classdef TriggerStart < uint8
    % TriggerStart defines how to start sequence streaming.
    %
    % The output sequence of the Pulse Streamer can be started
    % immediately, with software or different edges in the 
    % hardware trigger mode.
    
    enumeration
        IMMEDIATE                   (0) % Trigger immediately after sequence is uploaded.
        SOFTWARE                    (1) % Trigger by calling "startNow()" method.
        HARDWARE_RISING             (2) % External trigger on rising edge.
        HARDWARE_FALLING            (3) % External trigger on falling edge.
        HARDWARE_RISING_AND_FALLING (4) % External trigger on rising and falling edges.
    end
end

